/**
 * @package webpack-dev-service
 * @license MIT
 * @version 0.15.7
 * @author nuintun <nuintun@qq.com>
 * @description A koa 2 middleware for webpack development and hot reloading.
 * @see https://github.com/nuintun/webpack-dev-service#readme
 */

'use strict';

/**
 * @module ready
 */
function ready({ stats, callbacks }, callback) {
  if (stats) {
    callback(stats);
  } else {
    callbacks.push(callback);
  }
}

exports.ready = ready;
