/**
 * @module utils
 */
import webpack from 'webpack';
import { UnionCompiler } from './interface.cjs';
export declare const PLUGIN_NAME: string;
export declare function isString(value: unknown): value is string;
export declare function isBoolean(value: unknown): value is boolean;
export declare function isFunction(value: unknown): value is Function;
export declare function getCompilers(compiler: UnionCompiler): webpack.Compiler[];
export declare function isMultiCompiler(compiler: UnionCompiler): compiler is webpack.MultiCompiler;
