/**
 * @module hot
 */
/**
 * @function updateHash
 * @description Update webpack hash.
 * @param value The new hash value.
 */
export declare function updateHash(value: string): void;
/**
 * @function applyUpdate
 * @description Apply update.
 * @param hmr Whether to enable HMR.
 * @param fallback Fallback function when HMR fail.
 */
export declare function applyUpdate(hmr: boolean, fallback: (error?: Error) => void): void;
