/**
 * @module utils
 */
import { AnsiBlock } from '@nuintun/ansi';
export declare function escapeHTML(text: string): string;
export declare function blockToHTML({ style, value, url }: AnsiBlock): string;
export declare function ansiToHTML(text: string): string;
export type RootElement = HTMLElement | ShadowRoot;
export declare function getRootElement(tagName: string): ShadowRoot;
export declare function injectCSS(
  css: string,
  root?: HTMLElement | ShadowRoot,
  styleElement?: HTMLStyleElement
): HTMLStyleElement;
export declare function appendHTML(html: string, root?: RootElement): ChildNode[];
