/**
 * @module path
 */
/**
 * @function unixify
 * @description Convert path to unix style.
 * @param path The path to convert.
 */
export declare function unixify(path: string): string;
/**
 * @function hasTrailingSlash
 * @description Check if path has trailing slash.
 * @param path The path to check.
 */
export declare function hasTrailingSlash(path: string): boolean;
/**
 * @function isOutRoot
 * @description Check if path is out of root.
 * @param path The path to check.
 * @param root The root path.
 */
export declare function isOutRoot(path: string, root: string): boolean;
