/**
 * @module utils
 */
import webpack from 'webpack';
import { Context } from 'koa';
import { NormalizedOptions, Options } from './interface.cjs';
export declare const BASE_URL = 'wss://127.0.0.1';
export declare function isUpgradable({ request }: Context): boolean;
export declare function getOptions(options?: Options): NormalizedOptions;
export declare function hasIssues<T>(issues: ArrayLike<T> | undefined): boolean;
export declare function getStatsOptions(compiler: webpack.Compiler): webpack.StatsOptions;
export declare function getTimestamp({ builtAt, children }: webpack.StatsCompilation): number;
